Package org.apache.aries.jax.rs.shiro.authc.impl

## Class ShiroAuthenticationFeatureProvider

- java.lang.Object
- - org.apache.aries.jax.rs.shiro.authc.impl.ShiroAuthenticationFeatureProvider

All Implemented Interfaces:
  `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.core.Feature>`, `org.osgi.framework.ServiceFactory<javax.ws.rs.core.Feature>`

    @Capability(attribute={"objectClass:List<String>=\'javax.ws.rs.core.Feature\'","osgi.jaxrs.name=aries.shiro.authc"},
                namespace="osgi.service")
    @RequireJaxrsWhiteboard
    public class ShiroAuthenticationFeatureProvider
    extends Object
    implements org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.core.Feature>

### Constructor Summary

Constructors
`ShiroAuthenticationFeatureProvider​(List<org.apache.shiro.realm.Realm> realms)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ShiroAuthenticationFeature` `getService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<javax.ws.rs.core.Feature> registration)`
`void` `ungetService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<javax.ws.rs.core.Feature> registration, javax.ws.rs.core.Feature service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShiroAuthenticationFeatureProvider

    public ShiroAuthenticationFeatureProvider​(List<org.apache.shiro.realm.Realm> realms)

### Method Detail

#### getService

    public ShiroAuthenticationFeature getService​(org.osgi.framework.Bundle bundle,
                                                 org.osgi.framework.ServiceRegistration<javax.ws.rs.core.Feature> registration)

Specified by:
  `getService` in interface `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.core.Feature>`
Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<javax.ws.rs.core.Feature>`

#### ungetService

    public void ungetService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<javax.ws.rs.core.Feature> registration,
                             javax.ws.rs.core.Feature service)

Specified by:
  `ungetService` in interface `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.core.Feature>`
Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<javax.ws.rs.core.Feature>`

#### close

    public void close()